export const isNumber = (input) => {
    return typeof input === 'number';
};
export const isString = (input) => {
    return typeof input === 'string';
};
export const isBoolean = (input) => {
    return typeof input === 'boolean';
};
export const isUndefined = (input) => {
    return typeof input === 'undefined';
};
export const isFunction = (input) => {
    return typeof input === 'function';
};
export const isNullOrUndefined = (input) => {
    return input === null || input === undefined;
};
export const isSafeNumber = (input) => {
    return typeof input === 'number' && !isNaN(input) && isFinite(input);
};
